NonTerminalNode (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.node
Interface NonTerminalNode

All Superinterfaces:
  Comparable<ComparableNode>, ComparableNode, Element, PhraseStructureNode

All Known Implementing Classes:
  NonTerminal, Root

    public interface NonTerminalNode

extends PhraseStructureNode

Method Summary
`PhraseStructureNode` | `getChild(int index)`
`SortedSet<PhraseStructureNode>` | `getChildren()`
`PhraseStructureNode` | `getHeadChild()`
`PhraseStructureNode` | `getHeadChild(HeadRules headRules)`
`int` | `getHeight()`
`PhraseStructureNode` | `getLeftChild()`
`TokenNode` | `getLexicalHead()`
`TokenNode` | `getLexicalHead(HeadRules headRules)`
`PhraseStructureNode` | `getRightChild()`
`boolean` | `hasNonTerminalChildren()`
`boolean` | `hasTerminalChildren()`
`TokenNode` | `identifyHead(HeadRules headRules)`
`boolean` | `isContinuous()`
`boolean` | `isContinuousExcludeTerminalsAttachToRoot()`
`int` | `nChildren()`

Methods inherited from interface org.maltparser.core.syntaxgraph.node.PhraseStructureNode
`getParent, getParentEdge, getParentEdgeLabelCode, getParentEdgeLabelSymbol, hasParentEdgeLabel`

Methods inherited from interface org.maltparser.core.syntaxgraph.node.ComparableNode
`getCompareToIndex, getIncomingSecondaryEdges, getInDegree, getIndex, getLeftmostDescendant, getLeftmostDescendantIndex, getLeftmostProperDescendant, getLeftmostProperDescendantIndex, getOutDegree, getOutgoingSecondaryEdges, getRightmostDescendant, getRightmostDescendantIndex, getRightmostProperDescendant, getRightmostProperDescendantIndex, isRoot`

Methods inherited from interface org.maltparser.core.syntaxgraph.Element
`addLabel, addLabel, addLabel, clear, getBelongsToGraph, getLabelCode, getLabelSet, getLabelSymbol, getLabelTypes, hasLabel, isLabeled, nLabels, removeLabel, removeLabels, setBelongsToGraph`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### identifyHead

    TokenNode identifyHead(HeadRules headRules)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLexicalHead

    TokenNode getLexicalHead(HeadRules headRules)
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLexicalHead

    TokenNode getLexicalHead()
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHeadChild

    PhraseStructureNode getHeadChild(HeadRules headRules)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHeadChild

    PhraseStructureNode getHeadChild()
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getChildren

    SortedSet<PhraseStructureNode> getChildren()

### getChild

    PhraseStructureNode getChild(int index)

### getLeftChild

    PhraseStructureNode getLeftChild()

### getRightChild

    PhraseStructureNode getRightChild()

### nChildren

    int nChildren()

### hasNonTerminalChildren

    boolean hasNonTerminalChildren()

### hasTerminalChildren

    boolean hasTerminalChildren()

### getHeight

    int getHeight()

### isContinuous

    boolean isContinuous()

### isContinuousExcludeTerminalsAttachToRoot

    boolean isContinuousExcludeTerminalsAttachToRoot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.